package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 仓库信息维护对象 base_store
 * 
 * @author ruoyi
 * @date 2023-12-08
 */
public class BaseStore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 仓库id */
    private Long storeId;

    /** 仓库编号 */
    @Excel(name = "仓库编号")
    private String storeCode;

    /** 仓库名称 */
    @Excel(name = "仓库名称")
    private String storeName;

    /** 是否启用 */
    @Excel(name = "是否启用")
    private String isEnable;

    /** 阈值下限 */
    @Excel(name = "阈值下限")
    private Long valueMin;

    /** 阈值上限 */
    @Excel(name = "阈值上限")
    private Long valueMax;

    /** 标识 */
    @Excel(name = "标识")
    private Long storeTag;

    public void setStoreId(Long storeId) 
    {
        this.storeId = storeId;
    }

    public Long getStoreId() 
    {
        return storeId;
    }
    public void setStoreCode(String storeCode) 
    {
        this.storeCode = storeCode;
    }

    public String getStoreCode() 
    {
        return storeCode;
    }
    public void setStoreName(String storeName) 
    {
        this.storeName = storeName;
    }

    public String getStoreName() 
    {
        return storeName;
    }
    public void setIsEnable(String isEnable) 
    {
        this.isEnable = isEnable;
    }

    public String getIsEnable() 
    {
        return isEnable;
    }
    public void setValueMin(Long valueMin) 
    {
        this.valueMin = valueMin;
    }

    public Long getValueMin() 
    {
        return valueMin;
    }
    public void setValueMax(Long valueMax) 
    {
        this.valueMax = valueMax;
    }

    public Long getValueMax() 
    {
        return valueMax;
    }
    public void setStoreTag(Long storeTag) 
    {
        this.storeTag = storeTag;
    }

    public Long getStoreTag() 
    {
        return storeTag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("storeId", getStoreId())
            .append("storeCode", getStoreCode())
            .append("storeName", getStoreName())
            .append("isEnable", getIsEnable())
            .append("valueMin", getValueMin())
            .append("valueMax", getValueMax())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("storeTag", getStoreTag())
            .toString();
    }
}
